Honeycomb
action Marker

# add_marker

Add a marker

Run it now
View details

Type | action
Module | chaoshoneycomb.marker.actions
Name | add_marker
Return | mapping

Usage

JSON

    {
      "name": "add-marker",
      "type": "action",
      "provider": {
        "type": "python",
        "module": "chaoshoneycomb.marker.actions",
        "func": "add_marker",
        "arguments": {
          "message": ""
        }
      }
    }

YAML

    provider:
      arguments:
        message: ''
      func: add_marker
      module: chaoshoneycomb.marker.actions
      type: python
    type: action

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
dataset_slug | string |  | Yes | Dataset | Dataset slug, use `__all__` for an environment level marker
message | string |  | Yes | Message |
marker_type | string | reliably-experiment | No | Marker Type |

Signature

    def add_marker(message: str,
                   marker_type: str = 'chaostoolkit-experiment',
                   dataset_slug: str = '__all__',
                   url: Optional[str] = None,
                   configuration: Dict[str, Dict[str, str]] = None,
                   secrets: Dict[str, Dict[str, str]] = None) -> Dict[str, Any]:
        pass

## Related starters

- Honeycomb
  probe Trigger

  ## `get_trigger`

  Retrieves a trigger information and state.
- Honeycomb
  probe SLO

  ## `slo_has_enough_remaining_budget`

  Verifies that an SLO has enough error budget left
- Honeycomb
  probe Query

  ## `result_data_must_be_lower_than`

  Check query result to be lower than treshold